proc start_vat {} {
  global conf_data tool_data

  set tool  vat
  set dest  [format "%s/%s" $conf_data(host) $tool_data(port)]
  set title $conf_data(title)
  set user  $conf_data(user)
  set ttl   $conf_data(ttl)
  set key   $conf_data(key)
  set geo   $tool_data(geometry)

  if {[llength $key] >0} {
    if {[llength $geo] >0} {
      exec $tool -r -C $title -t $ttl -K $key -g $geo $dest &
    } else {
      exec $tool -r -C $title -t $ttl -K $key $dest & }
  } else {
    if {[llength $geo] >0} {
      exec $tool -r -C $title -t $ttl -g $geo $dest &
    } else {
      exec $tool -r -C $title -t $ttl $dest & }
  }
}

proc start_nv {} {
  global conf_data tool_data

  set tool  nv
  set host  $conf_data(host) 
  set port  $tool_data(port)
  set title $conf_data(title)
  set user  $conf_data(user)
  set ttl   $conf_data(ttl)
  set key   $conf_data(key)
  set geo   $tool_data(geometry)

  exec $tool -title $title -ttl $ttl -encoding cellb $host $port & 
}

proc start_wb {} {
  global conf_data tool_data

  set tool  wb
  set dest  [format "%s/%s" $conf_data(host) $tool_data(port)]
  set title $conf_data(title)
  set user  $conf_data(user)
  set ttl   $conf_data(ttl)
  set key   $conf_data(key)
  set geo   $tool_data(geometry)

  if {[llength $key] >0} {
    if {[llength $geo] >0} {
      exec $tool -C $title -t $ttl -K $key -geometry $geo $dest &
    } else {
      exec $tool -C $title -t $ttl -K $key $dest & }
  } else {
    if {[llength $geo] >0} {
      exec $tool -C $title -t $ttl -geometry $geo $dest &
    } else {
      exec $tool -C $title -t $ttl $dest & }
  }
}

proc start_vat2 {} {
  global conf_data tool_data

  set tool  vat
  set dest  [format "%s/%s" $conf_data(host) $tool_data(port)]
  set title $conf_data(title)
  set user  $conf_data(user)
  set ttl   $conf_data(ttl)
  set key   $conf_data(key)
  set geo   $tool_data(geometry)

  if {[llength $key] >0} {
    if {[llength $geo] >0} {
      exec $tool -r -C $title -t $ttl -K $key -g $geo -f lpc4 $dest &
    } else {
      exec $tool -r -C $title -t $ttl -K $key -f lpc4 $dest & }
  } else {
    if {[llength $geo] >0} {
      exec $tool -r -C $title -t $ttl -g $geo -f lpc4 $dest &
    } else {
      exec $tool -r -C $title -t $ttl -f lpc4 $dest & }
  }
} 

proc start_vic {} {
  global conf_data tool_data

  set tool  vic
  set dest  [format "%s/%s" $conf_data(host) $tool_data(port)]
  set title $conf_data(title)
  set user  $conf_data(user)
  set ttl   $conf_data(ttl)
  set key   $conf_data(key)
  set geo   $tool_data(geometry)

  if {[llength $key] >0} {
      exec $tool -C $title -t $ttl -K $key $dest & 
  } else {
      exec $tool -C $title -t $ttl $dest & 
  }
}

proc start_netscape {} {
  global conf_data tool_data
  set tool  netscape
  exec $tool &
}
